Notificações pessoais
GET https://pushye.com/api/personal-notifications/
curl --request GET \
--url 'https://pushye.com/api/personal-notifications/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/personal-notifications/' \
--header 'Authorization: Bearer {api_key}' \
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| search | Opcional String | A string de busca. |
| search_by | Opcional String | Qual campo você está pesquisando? Os valores permitidos são: name, title, description, url. |
| website_id | Opcional Inteiro | |
| status | Opcional String | Valores permitidos: draft, scheduled, processing, sent |
| datetime_field | Opcional String | Valores permitidos: datetime, last_datetime, sent_datetime, scheduled_datetime |
| datetime_start | Opcional String | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Opcional String | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Opcional String | Qual campo ordenar os resultados. Os valores permitidos são: personal_notification_id, datetime, last_datetime, sent_datetime, scheduled_datetime, name, title. |
| order_type | Opcional String | A ordenação dos resultados. Os valores permitidos são: ASC para ordenação ascendente e DESC para ordenação descendente. |
| page | Opcional Inteiro | O número da página de onde você deseja os resultados. O padrão é 1. |
| results_per_page | Opcional Inteiro | Quantos resultados você deseja por página. Os valores permitidos são: 10, 25, 50, 100, 250, 500, 1000. O padrão é 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"website_id": 1,
"subscriber_id": 1,
"name": "Example",
"title": "Sample message",
"description": "This is coming from the API.",
"url": "https://example.com",
"image_url": null,
"settings": {
"is_scheduled": 0,
"ttl": 2419200,
"urgency": "normal",
"is_silent": 0,
"is_auto_hide": 0,
"button_title_1": "",
"button_url_1": "",
"button_title_2": "",
"button_url_2": ""
},
"is_sent": 1,
"is_displayed": 1,
"is_clicked": 0,
"is_closed": 0,
"status": "sent",
"scheduled_datetime": "2024-08-02 17:00:43",
"sent_datetime": "2024-08-02 17:00:43",
"last_datetime": null,
"datetime": "2026-04-28 18:40:51",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://pushye.com/api/personal-notifications?page=1",
"last": "https://pushye.com/api/personal-notifications?page=1",
"next": null,
"prev": null,
"self": "https://pushye.com/api/personal-notifications?page=1"
}
}
GET https://pushye.com/api/personal-notifications/{personal_notification_id}
curl --request GET \
--url 'https://pushye.com/api/personal-notifications/{personal_notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/personal-notifications/{personal_notification_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"subscriber_id": 1,
"name": "Example",
"title": "Sample message",
"description": "This is coming from the API.",
"url": "https://example.com",
"image_url": null,
"settings": {
"is_scheduled": 0,
"ttl": 2419200,
"urgency": "normal",
"is_silent": 0,
"is_auto_hide": 0,
"button_title_1": "",
"button_url_1": "",
"button_title_2": "",
"button_url_2": ""
},
"is_sent": 1,
"is_displayed": 1,
"is_clicked": 0,
"is_closed": 0,
"status": "sent",
"scheduled_datetime": "2024-08-02 17:00:43",
"sent_datetime": "2024-08-02 17:00:43",
"last_datetime": null,
"datetime": "2026-04-28 18:40:51",
}
}
POST https://pushye.com/api/personal-notifications
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| website_id | Requerido Inteiro | - |
| subscriber_id | Requerido Inteiro | - |
| name | Requerido String | - |
| title | Requerido String | - |
| description | Requerido String | - |
| url | Opcional String | - |
| image | Opcional Arquivo | - |
| button_title_1 | Opcional String | - |
| button_url_1 | Opcional String | - |
| button_title_2 | Opcional String | - |
| button_url_2 | Opcional String | - |
| is_scheduled | Opcional Boolean | - |
| scheduled_datetime | Opcional String | - |
| is_silent | Opcional Boolean | - |
| is_auto_hide | Opcional Boolean | - |
| ttl | Opcional String | Valores permitidos: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| utm_source | Opcional String | - |
| utm_medium | Opcional String | - |
| utm_campaign | Opcional String | - |
| save | Opcional Boolean | Salvar rascunho |
| send | Opcional Boolean | Enviar notificação pessoal |
curl --request POST \
--url 'https://pushye.com/api/personal-notifications' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'subscriber_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--url 'https://pushye.com/api/personal-notifications' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'subscriber_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
{
"data": {
"id": 1
}
}
POST https://pushye.com/api/personal-notifications/{personal_notification_id}
| Parâmetros | Detalhes | Descrição |
|---|---|---|
| website_id | Opcional Inteiro | - |
| subscriber_id | Opcional Inteiro | - |
| name | Opcional String | - |
| title | Opcional String | - |
| description | Opcional String | - |
| url | Opcional String | - |
| image | Opcional Arquivo | - |
| button_title_1 | Opcional String | - |
| button_url_1 | Opcional String | - |
| button_title_2 | Opcional String | - |
| button_url_2 | Opcional String | - |
| is_scheduled | Opcional Boolean | - |
| scheduled_datetime | Opcional String | - |
| is_silent | Opcional Boolean | - |
| is_auto_hide | Opcional Boolean | - |
| ttl | Opcional String | Valores permitidos: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| utm_source | Opcional String | - |
| utm_medium | Opcional String | - |
| utm_campaign | Opcional String | - |
| save | Opcional Boolean | Salvar rascunho |
| send | Opcional Boolean | Enviar notificação pessoal |
curl --request POST \
--url 'https://pushye.com/api/personal-notifications/{personal_notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'subscriber_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--url 'https://pushye.com/api/personal-notifications/{personal_notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'subscriber_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
{
"data": {
"id": 1
}
}
DELETE https://pushye.com/api/personal-notifications/{personal_notification_id}
curl --request DELETE \
--url 'https://pushye.com/api/personal-notifications/{personal_notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/personal-notifications/{personal_notification_id}' \
--header 'Authorization: Bearer {api_key}' \